Subject: Re: [External] : Re: bug#63815: 29.0.91; Bind `M-n' in `Info-mode-map' to `clone-buffer'

From: Juri Linkov <[email-masked]>
Date: Sun, 04 Jun 2023 19:40:59 +0300

>> >> > I see.  Why not (also) `M-n', like elsewhere?
>> >> > Why not treat *Help* like *info* and *Man __*?
>> >>
>> >> Actually, 'C-x x n' is the global keybinding.  Here is what Help says:
>> >>
>> >>   C-x x n runs the command clone-buffer (found in global-map).
>> >>
>> >>   It is bound to M-n and C-x x n.
>> >
>> > Is that `M-n' binding new for Emacs 30?  I don't see it in the 29
>> > pretest (emacs -Q).  Anyway, if an M-n binding has already been added
>> > then (great) please close this bug.  Thx.
>>
>> Sorry that the answer was unclear.  This Help buffer showed help
>> about the Info buffer.  So M-n exists only in Info mode.
>> But in Emacs 29 a new global binding 'C-x x n' was added
>> to make 'clone-buffer' available in all modes.
>> This makes 'M-n' in Info obsolete.
>
> Why would you say that (last sentence)?

Because the new universal keybinding is available in all buffers.
But I don't propose to remove 'M-n' in Info.

> That we have a global binding for the command
> doesn't mean we shouldn't also have an easier,
> (and long-standing) local binding for it.
>
> The request of this bug is to add `M-n' for
> `clone-buffer' to buffers in Help mode, in
> addition to having it for buffers in Info mode.

Sorry, I have no opinion about 'M-n' in Help.
I just pointed out there is a new global keybinding
'C-x x n' that can be used in Help now.